Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 21

Thread: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

  1. #11
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,802
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Interesting!

    I got rid of the official driver -- a great joy, as usual. Then, I installed the edgers version.

    Everything went smoothly, until I tried to install 'nvidia-settings'. For some reason, apt-get *thought* I had an unmet dependency. It reported that it required 'screen-resolution-extra' >=0.12. The odd thing was... I already had 'screen-resolution-extra' 0.16 installed on this box. Go figure.

    After the umpteenth try, I was still getting a screen full of error messages, but somehow it magically worked.

    Code:
    vindsl@Zuul:~$ apt-cache policy nvidia-304
    nvidia-304:
      Installed: 304.116-0ubuntu1~xedgers~saucy1
      Candidate: 304.116-0ubuntu1~xedgers~saucy1
      Version table:
     *** 304.116-0ubuntu1~xedgers~saucy1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ saucy/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu8 0
            500 http://archive.ubuntu.com/ubuntu/ devel/restricted i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy nvidia-settings
    nvidia-settings:
      Installed: 304.116-0ubuntu1~xedgers~saucy1
      Candidate: 304.116-0ubuntu1~xedgers~saucy1
      Version table:
     *** 304.116-0ubuntu1~xedgers~saucy1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ saucy/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu2 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy screen-resolution-extra
    screen-resolution-extra:
      Installed: 0.16
      Candidate: 0.16
      Version table:
     *** 0.16 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
            100 /var/lib/dpkg/status
    vindsl@Zuul:~$
    Isn't testing fun?!?!?

    EDIT

    Whoops! Looks like I somehow snagged the Saucy version(s).

    Oh, well. Back to the inkwell...
    Last edited by VinDSL; November 9th, 2013 at 05:21 PM. Reason: Addendum
    Intel P4 Extreme Edition 3.4 (Gallatin) || DFI LanParty PRO875B rev B1
    Crucial Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  2. #12
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    Interesting!

    but somehow it magically worked.
    Yep been seeing some of that magic myself.LOL

    Code:
    Whoops! Looks like I somehow snagged the Saucy version(s).
    Almost did that myself, But the trusty repo works for saucy also.
    Code:
    Isn't testing fun?!?!?  :grin:
    Time of my Life!!LMAO
    Last edited by runrickus; November 9th, 2013 at 06:24 PM.
    Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

  3. #13
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,802
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Ah! That looks better...

    Code:
    vindsl@Zuul:~$ apt-cache policy nvidia-304
    nvidia-304:
      Installed: 304.116-0ubuntu1~xedgers~trusty1
      Candidate: 304.116-0ubuntu1~xedgers~trusty1
      Version table:
     *** 304.116-0ubuntu1~xedgers~trusty1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ trusty/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu8 0
            500 http://archive.ubuntu.com/ubuntu/ devel/restricted i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy nvidia-settings
    nvidia-settings:
      Installed: 304.116-0ubuntu1~xedgers~trusty1
      Candidate: 304.116-0ubuntu1~xedgers~trusty1
      Version table:
     *** 304.116-0ubuntu1~xedgers~trusty1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ trusty/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu2 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy screen-resolution-extra
    screen-resolution-extra:
      Installed: 0.16
      Candidate: 0.16
      Version table:
     *** 0.16 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
            100 /var/lib/dpkg/status
    vindsl@Zuul:~$
    Only errors I'm getting now are: cannot configure 'nvidia-settings' and 'screen-resolution-extra'.
    Intel P4 Extreme Edition 3.4 (Gallatin) || DFI LanParty PRO875B rev B1
    Crucial Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  4. #14
    Join Date
    Sep 2008
    Beans
    796

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by VinDSL View Post
    Ah! That looks better...

    Code:
    vindsl@Zuul:~$ apt-cache policy nvidia-304
    nvidia-304:
      Installed: 304.116-0ubuntu1~xedgers~trusty1
      Candidate: 304.116-0ubuntu1~xedgers~trusty1
      Version table:
     *** 304.116-0ubuntu1~xedgers~trusty1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ trusty/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu8 0
            500 http://archive.ubuntu.com/ubuntu/ devel/restricted i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy nvidia-settings
    nvidia-settings:
      Installed: 304.116-0ubuntu1~xedgers~trusty1
      Candidate: 304.116-0ubuntu1~xedgers~trusty1
      Version table:
     *** 304.116-0ubuntu1~xedgers~trusty1 0
            500 http://ppa.launchpad.net/xorg-edgers/ppa/ubuntu/ trusty/main i386 Packages
            100 /var/lib/dpkg/status
         304.88-0ubuntu2 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
    vindsl@Zuul:~$ 
    vindsl@Zuul:~$ apt-cache policy screen-resolution-extra
    screen-resolution-extra:
      Installed: 0.16
      Candidate: 0.16
      Version table:
     *** 0.16 0
            500 http://archive.ubuntu.com/ubuntu/ devel/main i386 Packages
            100 /var/lib/dpkg/status
    vindsl@Zuul:~$
    Only errors I'm getting now are: cannot configure 'nvidia-settings' and 'screen-resolution-extra'.
    Hi Vin,

    Last night when I booted 3.12 generic I was able to install nvidia 304.116 from xorg-edgers without a hitch (have stayed on the saucy branch for now because the trusty branch is still short of some packages).

    I don't bother with nvidia-settings any more because I hardly ever used it anyway and it's not a hard dependency. I also purged screen-resolution-extra recently funnily enough.

    The fun and games began when the nvidia module failed to build with my custom kernel. This was something I hadn't tried before. I needed a couple of extra configuration steps I didn't know about before rebuilding the kernel:

    Code:
    make prepare
    make modules_prepare
    Then I was finally able to install the nvidia driver with the rebuilt kernel.

    Cheers,

    Paul

  5. #15
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,802
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by paul_in_london View Post
    I don't bother with nvidia-settings any more because I hardly ever used it anyway and it's not a hard dependency.[...]
    Only thing(s) I use it for is setting the 'Digital Vibrance' and the occasional screenshot...

    DVC: http://www.nvidia.com/object/feature_dvc.html
    Intel P4 Extreme Edition 3.4 (Gallatin) || DFI LanParty PRO875B rev B1
    Crucial Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  6. #16
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    I've just done a fresh install of Lubunty Trusty on a fairly ancient system:

    • Intel(R) Celeron(R) CPU 2.53GHz
    • 768MiB Ram
    • NV44A [GeForce 6200] graphics adapter
    • 80GiB hard drive


    I managed to get nvidia-304 installed from he repositories, with out any problems.

    Last edited by cariboo907; November 13th, 2013 at 07:46 PM. Reason: fix spelling error

  7. #17
    Join Date
    Aug 2010
    Location
    Arizona USA
    Beans
    2,802
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Quote Originally Posted by cariboo907 View Post
    I managed to get nvidia-304 installed from he repositories, with out any problems.
    Sweet!

    Have you tried 304.116 yet? It was worth the wait.
    Intel P4 Extreme Edition 3.4 (Gallatin) || DFI LanParty PRO875B rev B1
    Crucial Ballistix Tracer PC4000 1GB || Mountain Mods U2-UFO Opti-1203
    XFX 7600GT 560M AGP (PV-T73A-UDF3) || Corsair HX520W Modular PSU

  8. #18
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    9,283
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    Irrelevant posts have been moved to the cafe.
    Please keep the discussion on topic.
    About problems due to upgrading
    Bringing old hardware back to life.
    Please visit Quick Links -> Unanswered Posts

  9. #19
    Join Date
    Sep 2013
    Location
    Germany
    Beans
    20

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    I just had a surprisingly successful encounter with the nVidia 304.116 driver. I have recently acquired a new (old) notebook, HP EliteBook 8730w with Quadro FX 2700M graphics. I have put the Linux Mint 13 (12.04 LTS) HDD from my other notebook (HP nc8430 with Radeon x1600) in the new notebook and intended a fresh install. However, I missed the right moment to choose the boot source and the system booted happily from the HDD of the other notebook. I was able to log in to my account and the system was running flawlessly. Since I had nothing to loose, I tried the "Additional Drivers" tool from the Preference menu. Once loaded, I had the choice to activate the drivers for the nVidia graphics. I picked the "nvidia-331 - NVIDIA binary Xorg driver, kernel modules and VDPAU library (331.20)" and "nvidia-304-updates (304.116)" from the list.

    After the installation, a reboot and running the update manager, I had a fully working system with proper 3D acceleration, about 10 times better glmark2 fps than with the x1600 and good 3D gaming performance for Windows games through Wine. Furthermore, all other hardware of the 8730w was instantly recognised including the newly added docking station and the second monitor (see attached NVIDIA X Server Settings).

    I am not sure if this was just fools luck or Linux Mint 13 is particularly well suited for HP hardware. Needless to say, I will stick with this install for now. However, there is one slight drawback with this setup. On system start I get a black screen instead of the login screen. Since login works nevertheless and everything thereafter runs fine, I haven't yet bothered to find a fix. Any suggestions and comments welcome.
    Attached Images Attached Images

  10. #20
    Join Date
    Mar 2006
    Location
    Williams Lake
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: nVidia 304.116 (legacy driver for GeForce 6 and 7 series)

    @danielr2, we are currently discussing Trusty development in this sub-forum, so unfortunately the information you have provided really doesn't help much. Have you tried installing one of the Trusty versions to see if you get the same results?

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •